import { useAppStore } from '@/store/app.store'
import { AppConfigs, UISettings } from './ui-settings';

export async function getAppConfig(): Promise<AppConfigs> {
  const appStore = useAppStore()
  const configs = await UISettings.makeResourceReader()
  const lang = await configs.getCurrentLanguage()
  const { currentTheme, colors } = await configs.getCurrentColorTheme()
  appStore.setLang(lang)
  appStore.setColorTheme({ theme: currentTheme, colors })
  return configs
}
